Bug 269139 - games/dMagnetic: Update to 0.35
Summary: games/dMagnetic: Update to 0.35
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL: https://dettus.net/dMagnetic/
Keywords:
Depends on:
Blocks:
 
Reported: 2023-01-24 22:13 UTC by Thomas Dettbarn
Modified: 2023-01-26 18:09 UTC (History)
1 user (show)

See Also:


Attachments
the git diff patch to the ports tree (2.31 KB, patch)
2023-01-24 22:13 UTC, Thomas Dettbarn
dettus: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Dettbarn 2023-01-24 22:13:21 UTC
Created attachment 239689 [details]
the git diff patch to the ports tree

Hello!

Today, my little project dMagnetic saw release 0.35. Thus, I would like to give you the patch to your source tree. 


dmagnetic (0.35-1) unstable; urgency=medium

  * Minor bugfixes
  * Reduced memory consumption
  * New default format for savegames
  * Better looking ANSI and ASCII output
  * Much cleaner sourcecode

 -- Thomas Dettbarn <dettus@dettus.net>  Tue, 24 Jan 2023 21:34:56 +0200
Comment 1 Fernando Apesteguía freebsd_committer 2023-01-25 06:51:05 UTC
^Triage: Maintainer-feedback flag (+) not required unless requested (?) first.


Thanks!
Comment 2 Fernando Apesteguía freebsd_committer 2023-01-25 06:52:29 UTC
Why add WWW to pkg-descr? It should be in the Makefile now.

I will remove it, unless there is a good reason for that :-)
Comment 3 commit-hook freebsd_committer 2023-01-26 18:08:12 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=1073faaddc64142789d9da166c34b9fbc05ea3d0

commit 1073faaddc64142789d9da166c34b9fbc05ea3d0
Author:     Thomas Dettbarn <dettus@dettus.net>
AuthorDate: 2023-01-25 06:48:54 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2023-01-26 18:03:25 +0000

    games/dMagnetic: Update to 0.35

    ChangeLog: https://dettus.net/dMagnetic/

    Lots of cleanup. The memory consumption was reduced and the interface between
    the frontend and the engine has gotten cleaner. Oh, and there is a more stable
    savegame for Atari and Apple available.

    PR:             269139
    Reported by:    dettus@dettus.net (maintainer)

 games/dMagnetic/Makefile  | 7 ++++---
 games/dMagnetic/distinfo  | 6 +++---
 games/dMagnetic/pkg-plist | 2 +-
 3 files changed, 8 insertions(+), 7 deletions(-)
Comment 4 Fernando Apesteguía freebsd_committer 2023-01-26 18:09:02 UTC
Committed,

Thanks!